%define lib_name_orig	libaqsis
%define major 1
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	RenderMan-compliant 3D rendering solution
Name:		aqsis
Version:	1.8.2
Release:	%mkrel 9
License:	GPLv2+ and BSD
Group:		Graphics/3D
Url:		http://www.aqsis.org/
Source0:	http://downloads.sourceforge.net/aqsis/%{name}-%{version}.tar.gz
Patch0:		imfinputfile-forward-declaration.diff
BuildRequires:	tiff-devel
BuildRequires:	bison flex
BuildRequires:	qt4-devel
BuildRequires:	cmake
BuildRequires:	libxslt-proc
BuildRequires:	OpenEXR-devel
BuildRequires:	zlib-devel
BuildRequires:	boost-devel
Requires:	%{libname} = %{version}-%{release}

%description
Tha Aqsis rendering system consists of a set of libraries and applications for
creating high-quality computer imagery using the Pixar RenderMan Interface.

%package -n %{libname}
Summary:	Aqsis library
Group:		System/Libraries

%description -n %{libname}
The Aqsis library.

%package -n %{develname}
Summary:	Development files for Aqsis
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1 -d
Provides:	%mklibname %{name} 1 -d

%description -n %{develname}
The Aqsis library developpement files.

%prep
%setup -q
%patch0 -p1

%build
%cmake \
    -DAQSIS_USE_FLTK:BOOL=ON \
    -DAQSIS_USE_OPENEXR:BOOL=ON \
    -DAQSIS_BOOST_LIB_SUFFIX:STRING=-mt \
    -DCMAKE_CMAKE_BUILD_TYPE=Release \
    -DAQSIS_ENABLE_TESTING:BOOL=OFF \
    -DAQSIS_USE_PLUGINS:BOOL=ON \
    -DAQSIS_USE_TIMERS:BOOL=ON \
    -DSYSCONFDIR:STRING=%{_sysconfdir} \
    -DLIBDIR="%{_libdir}" \
    -DDEFAULT_DISPLAYPATH="%{_libdir}/%{name}"

%make

%install
%makeinstall_std -C build

%files
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/aqsis.xml
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png

%files -n %{libname}
%{_libdir}/%{name}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.8.2-9.mga4
+ Revision: 534487
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 1.8.2-8.mga4
+ Revision: 478010
- fix build with openexr 2.0 (patch from archlinux)
- rebuild for new openexr

* Tue Jul 09 2013 fwang <fwang> 1.8.2-7.mga4
+ Revision: 451698
- rebuild for new boost

* Sun Jun 02 2013 fwang <fwang> 1.8.2-6.mga4
+ Revision: 434983
- rebuild for new libpng

* Thu Apr 11 2013 barjac <barjac> 1.8.2-5.mga3
+ Revision: 409766
- rebuild for boost-1.53

* Fri Jan 11 2013 umeabot <umeabot> 1.8.2-4.mga3
+ Revision: 345991
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.8.2-3.mga3
+ Revision: 332930
- rebuild for new boost

* Sun Dec 02 2012 fwang <fwang> 1.8.2-2.mga3
+ Revision: 324993
- rebuild for new openexr

* Wed Nov 28 2012 fwang <fwang> 1.8.2-1.mga3
+ Revision: 322495
- update rpm group
- new version 1.8.2

* Tue Jul 31 2012 fwang <fwang> 1.8.1-1.mga3
+ Revision: 276515
- br flex
- new version 1.8.1
- do not specify filesystemversion
- rebuild for new boost

* Tue May 29 2012 kamil <kamil> 1.6.0-15.mga3
+ Revision: 248958
- rebuild against boost 1.49.0

* Fri Dec 23 2011 fwang <fwang> 1.6.0-14.mga2
+ Revision: 186410
- fix build with gcc 4.6
- rebuild for new tiff

* Mon Nov 28 2011 fwang <fwang> 1.6.0-13.mga2
+ Revision: 173453
- rebuild for new boost
- rebuild for new boost

* Mon Jul 11 2011 fwang <fwang> 1.6.0-11.mga2
+ Revision: 122103
- rebuild for new fltk

* Wed Jun 22 2011 fwang <fwang> 1.6.0-10.mga2
+ Revision: 111859
- rebuild for new boost

* Tue Jun 21 2011 dmorgan <dmorgan> 1.6.0-9.mga2
+ Revision: 111346
- Rebuild against new boost

* Wed Mar 23 2011 dmorgan <dmorgan> 1.6.0-8.mga1
+ Revision: 75783
- Remove mdv macros
- imported package aqsis


* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 1.6.0-8mdv2011.0
+ Revision: 644459
- force filesystem v2
- rebuild for new boost

* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 1.6.0-7
+ Revision: 634996
- rebuild
- tighten BR

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1.6.0-6mdv2011.0
+ Revision: 572128
- rebuild for new boost

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 1.6.0-5mdv2011.0
+ Revision: 565987
- rebuild for new boost

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1.6.0-4mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.6.0-3mdv2010.1
+ Revision: 500314
- rebuild for new boost

* Mon Jan 18 2010 Jérôme Brenier <incubusss@mandriva.org> 1.6.0-2mdv2010.1
+ Revision: 493158
- rebuild for new fltk

* Wed Nov 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 464841
- package missing file
- update to new version 1.6.0
- drop both patches, fixed upstream

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1.4.2-3mdv2010.0
+ Revision: 418838
- sync with fedora patches

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 1.4.2-2mdv2009.1
+ Revision: 354286
- rebuild for new boost

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.2-1mdv2009.1
+ Revision: 334592
- update to new version 1.4.2

* Mon Dec 22 2008 Funda Wang <fwang@mandriva.org> 1.4.1-4mdv2009.1
+ Revision: 317400
- rebuild for new boost

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 1.4.1-3mdv2009.1
+ Revision: 313951
- rebuild
- rebuild

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.1-1mdv2009.1
+ Revision: 289051
- update to new version 1.4.1

* Mon Aug 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.0-3mdv2009.0
+ Revision: 273429
- rebuild against new boost

* Tue Aug 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-2mdv2009.0
+ Revision: 270970
- install libraries to %%_libdir on x86_64
- add buildrequires on libjpeg-devel
- fix building by removing not clean build directory and setting right suffix for boost libraries
- fix file list
- update to new version 1.4.0
- adjust buildrequires
- upstream uses cmake instead of scons

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-3mdv2008.1
+ Revision: 170766
- rebuild
- better summaries
- summary is not licence tag

* Tue Jan 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-2mdv2008.1
+ Revision: 146896
- obsolete older devel library
- new license policy
- new devel library policy
- fix mixture of tabs and spaces into spec file
- do not package COPYING and INSTALL files
- spec file clean
- update link in URL
- update Source link

  + Thierry Vignaud <tv@mandriva.org>
    - fix mesaglu-devel BR

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.2.0-1mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel


* Mon Feb 19 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-1mdv2007.0
+ Revision: 122889
- fix release
- 1.2.0 final
- Drop patch0

* Wed Jan 03 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-0.20061223.2mdv2007.1
+ Revision: 103796
- Fix generated dependency on /usr/sbin/bash (aka test your package after the very last commit)

* Wed Jan 03 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-0.20061223.1mdv2007.1
+ Revision: 103672
- fix lib64
- have the scripts executable
- Add x86_64 patch from Fedora
- Buildrequires boost-devel
- move .a to -devel
- really use mkrel
- mark the config file
- partially sync with upstream specfile
- don't separate build and install as the scons script do te same...
- fix file list
- 1.2.0 snapshot (almost RC1)
- switch to scons
- mkrel
- Import aqsis

* Fri May 06 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-3mdk
- better fix for x86_64 build

* Thu May 05 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-2mdk
- fix x86_64 build (P1)

* Mon Jan 17 2005 Pascal Terjan <pterjan@mandrake.org> 1.0.0-1mdk
- 1.0.0

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.3-1mdk
- 0.9.3
- BuildRequires fltk-devel

* Sun Sep 05 2004 Pascal Terjan <pterjan@mandrakesoft.com> 0.9.2-1mdk
- New release 0.9.2
- Drop patch 0 (fixed upstream)

* Wed Jun 09 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-2mdk
- GCC 3.4 fixes

* Fri Apr 09 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-1mdk
- 0.9.1

